---
{% if rbac_disabled %}
global:
  rbac:
    create: false
kube-state-metrics:
  rbac:
    create: false
  podSecurityPolicy:
    enabled: false
{% endif %}
prometheus-node-exporter:
  extraArgs:
    - "--collector.filesystem.ignored-mount-points=^/(dev|proc|sys|var/l\
        ib/docker/containers|var/lib/docker/overlay2|var/lib/docker/aufs)\
        ($|/)"
{% if nfs_mount.enabled or docker_mount.enabled %}
  extraHostVolumeMounts:
{% if nfs_mount.enabled %}
    - name: nfs
      mountPath: /dockerdata-nfs
      hostPath: /dockerdata-nfs
      readOnly: true
{% endif %}
{% if docker_mount.enabled %}
    - name: docker
      mountPath: /var/lib/docker
      hostPath: /var/lib/docker
      readOnly: true
{% endif %}
{% endif %}
{% if rbac_disabled %}
  rbac:
    create: false
{% endif %}
prometheus:
  service:
    type: LoadBalancer

  prometheusSpec:
    additionalScrapeConfigs:
      - job_name: 'blackbox'
        metrics_path: /probe
        params:
          module: [http_2xx]

        static_configs:
          - targets: ['http://prometheus-operator-prometheus:9090']
            labels:
              name: "Prometheus server"

        relabel_configs:
          - source_labels: [__address__]
            target_label: __param_target
          - source_labels: [__param_target]
            target_label: instance
          - target_label: __address__
            replacement: prometheus-blackbox-exporter:9115

alertmanager:
  service:
    type: LoadBalancer
  config:
    global:
      resolve_timeout: 5m
{% if receivers.email is defined %}
      smtp_from: {{ receivers.email.smtp_username }}
      smtp_smarthost: {{ receivers.email.smtp_host }}:{{ receivers.email.smtp_port }}
      smtp_auth_username: {{ receivers.email.smtp_username }}
      smtp_auth_password: {{ receivers.email.smtp_password }}
      smtp_require_tls: {{ receivers.email.smtp_tls }}
{% endif %}
{% if receivers.http_proxy is defined %}
      http_config:
        proxy_url: {{ receivers.http_proxy }}
{% endif %}
    route:
      group_by:
        - job
      group_wait: 30s
      group_interval: 5m
      repeat_interval: 12h
      receiver: "{{ receivers.default_receiver }}"
      routes:
        - match:
            alertname: Watchdog
            receiver: "null"

    receivers:
      - name: "null"
{% if receivers.email is defined %}
      - name: email
        email_configs:
          - to: {{ receivers.email.smtp_username }}
            send_resolved: True
{% endif %}
{% if receivers.mattermost_webhook_url is defined %}
      - name: slack-channel
        slack_configs:
          - api_url: {{ receivers.mattermost_webhook_url }}
{% endif %}

grafana:
{% if rbac_disabled %}
  rbac:
    create: false
{% endif %}
  service:
    type: LoadBalancer
{% if grafana_com_dashboard_to_import | length > 0 %}
  dashboardProviders:
    dashboardproviders.yaml:
      apiVersion: 1
      providers:
        - name: default
          orgId: 1
          folder: ''
          type: file
          disableDeletion: false
          editable: true
          options:
            path: /var/lib/grafana/dashboards/default
  dashboards:
    default:
{% for dashboard in grafana_com_dashboard_to_import %}
      {{ dashboard.name }}:
        gnetId: {{ dashboard.id }}
        revision: {{ dashboard.revision }}
        datasource: {{ dashboard.datasource }}
{% endfor %}
{% endif %}
